List async image tasks
GET
/v1/async/images/tasksList the authenticated owner's newest asynchronous image tasks.
Authentication
Authorization Bearer
Query Parameters
limitintegerNumber of newest tasks to return. Values are clamped to 1-100.
Response
objectstringAlways list.
dataobject[]Newest tasks first.
data.idstringTask ID.
data.modelstringPublic model name.
data.statusstringCurrent task status.
data.executionstringRequested or resolved execution mode.
data.versionintegerTask version.
data.resultobjectImage response when completed.
data.errorobjectError details for failed or needs_attention tasks.
data.created_atstringISO-8601 creation time.
data.updated_atstringISO-8601 last update time.
data.completed_atstringISO-8601 completion time when completed.
Was this page helpful?